Bug 986532 - Review Request: cinnamon-screensaver - Cinnamon Screensaver
Review Request: cinnamon-screensaver - Cinnamon Screensaver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 06:19 EDT by leigh scott
Modified: 2014-01-13 08:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 11:02:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2013-07-20 06:19:33 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon-screensaver/1/cinnamon-screensaver.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon-screensaver/1/cinnamon-screensaver-1.8.0-1.fc19.src.rpm

Description: cinnamon-screensaver is a screen saver and locker.

Fedora Account System Username: leigh123linux
Comment 1 Wolfgang Ulbrich 2013-07-20 07:51:52 EDT
I'm pretty shure you can remove BuildRequires: gsettings-desktop-schemas >= 0.1.7.
You use it already as runtime require which makes sense because g-d-s is a collection package of (possible) needed gsettings schemas.
Comment 2 Wolfgang Ulbrich 2013-07-20 09:32:23 EDT
APPROVED !

Pls, remove BuildRequires: gsettings-desktop-schemas befor you upload to git.
You don't need that for building.

cinnamon-screensaver.x86_64: W: non-conffile-in-etc /etc/pam.d/cinnamon-screensaver

Pls fix also.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in cinnamon-screensaver
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Fault positive, the desktop file doesn't contain any mime data.

- Package installs a %{name}.desktop using desktop-file-install if there is
  such a file.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

No need for do this, because this desktop file doesn't starts a gui.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "LGPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 8 files have unknown license. Detailed output of licensecheck
     in /home/rave/986532-cinnamon-screensaver/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 71680 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1167360 bytes in /usr/share 1167360
     cinnamon-screensaver-1.8.0-1.fc20.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cinnamon-screensaver-1.8.0-1.fc20.x86_64.rpm
cinnamon-screensaver.x86_64: W: non-conffile-in-etc /etc/pam.d/cinnamon-screensaver
cinnamon-screensaver.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/cinnamon-screensaver.desktop
cinnamon-screensaver.x86_64: E: incorrect-fsf-address /usr/share/doc/cinnamon-screensaver-1.8.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint cinnamon-screensaver
cinnamon-screensaver.x86_64: W: non-conffile-in-etc /etc/pam.d/cinnamon-screensaver
cinnamon-screensaver.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/cinnamon-screensaver.desktop
cinnamon-screensaver.x86_64: E: incorrect-fsf-address /usr/share/doc/cinnamon-screensaver-1.8.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
cinnamon-screensaver (rpmlib, GLIBC filtered):
    gnome-keyring-pam
    gsettings-desktop-schemas
    libICE.so.6()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXxf86misc.so.1()(64bit)
    libXxf86vm.so.1()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgnome-desktop-3.so.7()(64bit)
    libgnomekbd.so.8()(64bit)
    libgnomekbdui.so.8()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libpam.so.0()(64bit)
    libpam.so.0(LIBPAM_1.0)(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsystemd-daemon.so.0()(64bit)
    libsystemd-daemon.so.0(LIBSYSTEMD_DAEMON_31)(64bit)
    libsystemd-login.so.0()(64bit)
    libsystemd-login.so.0(LIBSYSTEMD_LOGIN_31)(64bit)
    libxklavier.so.16()(64bit)
    redhat-menus
    rtld(GNU_HASH)



Provides
--------
cinnamon-screensaver:
    cinnamon-screensaver
    cinnamon-screensaver(x86-64)



Source checksums
----------------
http://leigh123linux.fedorapeople.org/pub/cinnamon-screensaver/source/cinnamon-screensaver-1.8.0.tar.gz :
  CHECKSUM(SHA256) this package     : e85722d5af2ecbed98f50909285b335d7635214bf8cada49964f60bb5d1339c1
  CHECKSUM(SHA256) upstream package : e85722d5af2ecbed98f50909285b335d7635214bf8cada49964f60bb5d1339c1


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 986532
Comment 3 leigh scott 2013-07-20 09:42:37 EDT
New Package SCM Request
=======================
Package Name: cinnamon-screensaver
Short Description: Cinnamon Screensaver
Owners: leigh123linux
Branches: f19
InitialCC:
Comment 4 Gwyn Ciesla 2013-07-22 06:09:47 EDT
Git done (by process-git-requests).
Comment 5 leigh scott 2014-01-02 11:49:58 EST
Package Change Request
======================
Package Name: cinnamon-screensaver
New Branches: epel7
Owners: leigh123linux
Comment 6 Gwyn Ciesla 2014-01-02 12:03:12 EST
No epel7 branches yet.
Comment 7 leigh scott 2014-01-12 08:17:24 EST
Package Change Request
======================
Package Name: cinnamon-screensaver
New Branches: epel7
Owners: leigh123linux
Comment 8 Gwyn Ciesla 2014-01-13 08:27:23 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.